/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePartnerEventSourceInput } from "../types/CreatePartnerEventSourceInput";
import { CreatePartnerEventSourceOutput } from "../types/CreatePartnerEventSourceOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/CreatePartnerEventSourceInput";
export * from "../types/CreatePartnerEventSourceOutput";
export * from "../types/CreatePartnerEventSourceExceptionsUnion";
export declare class CreatePartnerEventSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePartnerEventSourceInput, OutputTypesUnion, CreatePartnerEventSourceOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: CreatePartnerEventSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePartnerEventSourceInput, CreatePartnerEventSourceOutput, _stream.Readable>;
    constructor(input: CreatePartnerEventSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<CreatePartnerEventSourceInput, CreatePartnerEventSourceOutput>;
}
