/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteEventBusInput } from "../types/DeleteEventBusInput";
import { DeleteEventBusOutput } from "../types/DeleteEventBusOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DeleteEventBusInput";
export * from "../types/DeleteEventBusOutput";
export * from "../types/DeleteEventBusExceptionsUnion";
export declare class DeleteEventBusCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteEventBusInput, OutputTypesUnion, DeleteEventBusOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteEventBusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteEventBusInput, DeleteEventBusOutput, _stream.Readable>;
    constructor(input: DeleteEventBusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DeleteEventBusInput, DeleteEventBusOutput>;
}
