/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeletePartnerEventSourceInput } from "../types/DeletePartnerEventSourceInput";
import { DeletePartnerEventSourceOutput } from "../types/DeletePartnerEventSourceOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DeletePartnerEventSourceInput";
export * from "../types/DeletePartnerEventSourceOutput";
export * from "../types/DeletePartnerEventSourceExceptionsUnion";
export declare class DeletePartnerEventSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeletePartnerEventSourceInput, OutputTypesUnion, DeletePartnerEventSourceOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DeletePartnerEventSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeletePartnerEventSourceInput, DeletePartnerEventSourceOutput, _stream.Readable>;
    constructor(input: DeletePartnerEventSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DeletePartnerEventSourceInput, DeletePartnerEventSourceOutput>;
}
