/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRuleInput } from "../types/DeleteRuleInput";
import { DeleteRuleOutput } from "../types/DeleteRuleOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DeleteRuleInput";
export * from "../types/DeleteRuleOutput";
export * from "../types/DeleteRuleExceptionsUnion";
export declare class DeleteRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRuleInput, OutputTypesUnion, DeleteRuleOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRuleInput, DeleteRuleOutput, _stream.Readable>;
    constructor(input: DeleteRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DeleteRuleInput, DeleteRuleOutput>;
}
