/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEventBusInput } from "../types/DescribeEventBusInput";
import { DescribeEventBusOutput } from "../types/DescribeEventBusOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DescribeEventBusInput";
export * from "../types/DescribeEventBusOutput";
export * from "../types/DescribeEventBusExceptionsUnion";
export declare class DescribeEventBusCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEventBusInput, OutputTypesUnion, DescribeEventBusOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeEventBusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEventBusInput, DescribeEventBusOutput, _stream.Readable>;
    constructor(input: DescribeEventBusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DescribeEventBusInput, DescribeEventBusOutput>;
}
