/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribePartnerEventSourceInput } from "../types/DescribePartnerEventSourceInput";
import { DescribePartnerEventSourceOutput } from "../types/DescribePartnerEventSourceOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DescribePartnerEventSourceInput";
export * from "../types/DescribePartnerEventSourceOutput";
export * from "../types/DescribePartnerEventSourceExceptionsUnion";
export declare class DescribePartnerEventSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribePartnerEventSourceInput, OutputTypesUnion, DescribePartnerEventSourceOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DescribePartnerEventSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribePartnerEventSourceInput, DescribePartnerEventSourceOutput, _stream.Readable>;
    constructor(input: DescribePartnerEventSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DescribePartnerEventSourceInput, DescribePartnerEventSourceOutput>;
}
