/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeRuleInput } from "../types/DescribeRuleInput";
import { DescribeRuleOutput } from "../types/DescribeRuleOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DescribeRuleInput";
export * from "../types/DescribeRuleOutput";
export * from "../types/DescribeRuleExceptionsUnion";
export declare class DescribeRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeRuleInput, OutputTypesUnion, DescribeRuleOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeRuleInput, DescribeRuleOutput, _stream.Readable>;
    constructor(input: DescribeRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DescribeRuleInput, DescribeRuleOutput>;
}
