/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPartnerEventSourceAccountsInput } from "../types/ListPartnerEventSourceAccountsInput";
import { ListPartnerEventSourceAccountsOutput } from "../types/ListPartnerEventSourceAccountsOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ListPartnerEventSourceAccountsInput";
export * from "../types/ListPartnerEventSourceAccountsOutput";
export * from "../types/ListPartnerEventSourceAccountsExceptionsUnion";
export declare class ListPartnerEventSourceAccountsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPartnerEventSourceAccountsInput, OutputTypesUnion, ListPartnerEventSourceAccountsOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ListPartnerEventSourceAccountsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPartnerEventSourceAccountsInput, ListPartnerEventSourceAccountsOutput, _stream.Readable>;
    constructor(input: ListPartnerEventSourceAccountsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ListPartnerEventSourceAccountsInput, ListPartnerEventSourceAccountsOutput>;
}
