/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPartnerEventSourcesInput } from "../types/ListPartnerEventSourcesInput";
import { ListPartnerEventSourcesOutput } from "../types/ListPartnerEventSourcesOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ListPartnerEventSourcesInput";
export * from "../types/ListPartnerEventSourcesOutput";
export * from "../types/ListPartnerEventSourcesExceptionsUnion";
export declare class ListPartnerEventSourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPartnerEventSourcesInput, OutputTypesUnion, ListPartnerEventSourcesOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ListPartnerEventSourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPartnerEventSourcesInput, ListPartnerEventSourcesOutput, _stream.Readable>;
    constructor(input: ListPartnerEventSourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ListPartnerEventSourcesInput, ListPartnerEventSourcesOutput>;
}
