"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListRuleNamesByTarget_1 = require("../model/operations/ListRuleNamesByTarget");
var ListRuleNamesByTargetCommand = /** @class */ (function () {
    function ListRuleNamesByTargetCommand(input) {
        this.input = input;
        this.model = ListRuleNamesByTarget_1.ListRuleNamesByTarget;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListRuleNamesByTargetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListRuleNamesByTargetCommand;
}());
exports.ListRuleNamesByTargetCommand = ListRuleNamesByTargetCommand;
//# sourceMappingURL=ListRuleNamesByTargetCommand.js.map