"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTargetsByRule_1 = require("../model/operations/ListTargetsByRule");
var ListTargetsByRuleCommand = /** @class */ (function () {
    function ListTargetsByRuleCommand(input) {
        this.input = input;
        this.model = ListTargetsByRule_1.ListTargetsByRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTargetsByRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTargetsByRuleCommand;
}());
exports.ListTargetsByRuleCommand = ListTargetsByRuleCommand;
//# sourceMappingURL=ListTargetsByRuleCommand.js.map