/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutPartnerEventsInput } from "../types/PutPartnerEventsInput";
import { PutPartnerEventsOutput } from "../types/PutPartnerEventsOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/PutPartnerEventsInput";
export * from "../types/PutPartnerEventsOutput";
export * from "../types/PutPartnerEventsExceptionsUnion";
export declare class PutPartnerEventsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutPartnerEventsInput, OutputTypesUnion, PutPartnerEventsOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: PutPartnerEventsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutPartnerEventsInput, PutPartnerEventsOutput, _stream.Readable>;
    constructor(input: PutPartnerEventsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<PutPartnerEventsInput, PutPartnerEventsOutput>;
}
