"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutTargets_1 = require("../model/operations/PutTargets");
var PutTargetsCommand = /** @class */ (function () {
    function PutTargetsCommand(input) {
        this.input = input;
        this.model = PutTargets_1.PutTargets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutTargetsCommand;
}());
exports.PutTargetsCommand = PutTargetsCommand;
//# sourceMappingURL=PutTargetsCommand.js.map