/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestEventPatternInput } from "../types/TestEventPatternInput";
import { TestEventPatternOutput } from "../types/TestEventPatternOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/TestEventPatternInput";
export * from "../types/TestEventPatternOutput";
export * from "../types/TestEventPatternExceptionsUnion";
export declare class TestEventPatternCommand implements __aws_sdk_types.Command<InputTypesUnion, TestEventPatternInput, OutputTypesUnion, TestEventPatternOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: TestEventPatternInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestEventPatternInput, TestEventPatternOutput, _stream.Readable>;
    constructor(input: TestEventPatternInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<TestEventPatternInput, TestEventPatternOutput>;
}
