"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEventBusInput_1 = require("../shapes/DescribeEventBusInput");
var DescribeEventBusOutput_1 = require("../shapes/DescribeEventBusOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEventBus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEventBus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventBusInput_1.DescribeEventBusInput
    },
    output: {
        shape: DescribeEventBusOutput_1.DescribeEventBusOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeEventBus.js.map