"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableRuleInput_1 = require("../shapes/DisableRuleInput");
var DisableRuleOutput_1 = require("../shapes/DisableRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableRuleInput_1.DisableRuleInput
    },
    output: {
        shape: DisableRuleOutput_1.DisableRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DisableRule.js.map