"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableRuleInput_1 = require("../shapes/EnableRuleInput");
var EnableRuleOutput_1 = require("../shapes/EnableRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.EnableRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableRuleInput_1.EnableRuleInput
    },
    output: {
        shape: EnableRuleOutput_1.EnableRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=EnableRule.js.map