"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListEventBusesInput_1 = require("../shapes/ListEventBusesInput");
var ListEventBusesOutput_1 = require("../shapes/ListEventBusesOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListEventBuses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListEventBuses",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListEventBusesInput_1.ListEventBusesInput
    },
    output: {
        shape: ListEventBusesOutput_1.ListEventBusesOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListEventBuses.js.map