"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListEventSourcesInput_1 = require("../shapes/ListEventSourcesInput");
var ListEventSourcesOutput_1 = require("../shapes/ListEventSourcesOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListEventSources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListEventSources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListEventSourcesInput_1.ListEventSourcesInput
    },
    output: {
        shape: ListEventSourcesOutput_1.ListEventSourcesOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListEventSources.js.map