"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPartnerEventSourcesInput_1 = require("../shapes/ListPartnerEventSourcesInput");
var ListPartnerEventSourcesOutput_1 = require("../shapes/ListPartnerEventSourcesOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPartnerEventSources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPartnerEventSources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPartnerEventSourcesInput_1.ListPartnerEventSourcesInput
    },
    output: {
        shape: ListPartnerEventSourcesOutput_1.ListPartnerEventSourcesOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListPartnerEventSources.js.map