"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListRuleNamesByTargetInput_1 = require("../shapes/ListRuleNamesByTargetInput");
var ListRuleNamesByTargetOutput_1 = require("../shapes/ListRuleNamesByTargetOutput");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListRuleNamesByTarget = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListRuleNamesByTarget",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListRuleNamesByTargetInput_1.ListRuleNamesByTargetInput
    },
    output: {
        shape: ListRuleNamesByTargetOutput_1.ListRuleNamesByTargetOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=ListRuleNamesByTarget.js.map