"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutEventsInput_1 = require("../shapes/PutEventsInput");
var PutEventsOutput_1 = require("../shapes/PutEventsOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutEventsInput_1.PutEventsInput
    },
    output: {
        shape: PutEventsOutput_1.PutEventsOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=PutEvents.js.map