"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutPartnerEventsInput_1 = require("../shapes/PutPartnerEventsInput");
var PutPartnerEventsOutput_1 = require("../shapes/PutPartnerEventsOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutPartnerEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutPartnerEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutPartnerEventsInput_1.PutPartnerEventsInput
    },
    output: {
        shape: PutPartnerEventsOutput_1.PutPartnerEventsOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=PutPartnerEvents.js.map