"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutPermissionInput_1 = require("../shapes/PutPermissionInput");
var PutPermissionOutput_1 = require("../shapes/PutPermissionOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var PolicyLengthExceededException_1 = require("../shapes/PolicyLengthExceededException");
var InternalException_1 = require("../shapes/InternalException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutPermission",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutPermissionInput_1.PutPermissionInput
    },
    output: {
        shape: PutPermissionOutput_1.PutPermissionOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: PolicyLengthExceededException_1.PolicyLengthExceededException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=PutPermission.js.map