"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutTargetsInput_1 = require("../shapes/PutTargetsInput");
var PutTargetsOutput_1 = require("../shapes/PutTargetsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutTargets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutTargets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutTargetsInput_1.PutTargetsInput
    },
    output: {
        shape: PutTargetsOutput_1.PutTargetsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=PutTargets.js.map