/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ActivateEventSourceInput } from "../types/ActivateEventSourceInput";
import { ActivateEventSourceOutput } from "../types/ActivateEventSourceOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ActivateEventSourceInput";
export * from "../types/ActivateEventSourceOutput";
export * from "../types/ActivateEventSourceExceptionsUnion";
export declare class ActivateEventSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, ActivateEventSourceInput, OutputTypesUnion, ActivateEventSourceOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ActivateEventSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ActivateEventSourceInput, ActivateEventSourceOutput, _stream.Readable>;
    constructor(input: ActivateEventSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ActivateEventSourceInput, ActivateEventSourceOutput>;
}
