/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateEventBusInput } from "../types/CreateEventBusInput";
import { CreateEventBusOutput } from "../types/CreateEventBusOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/CreateEventBusInput";
export * from "../types/CreateEventBusOutput";
export * from "../types/CreateEventBusExceptionsUnion";
export declare class CreateEventBusCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateEventBusInput, OutputTypesUnion, CreateEventBusOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: CreateEventBusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateEventBusInput, CreateEventBusOutput, _stream.Readable>;
    constructor(input: CreateEventBusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<CreateEventBusInput, CreateEventBusOutput>;
}
