/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeactivateEventSourceInput } from "../types/DeactivateEventSourceInput";
import { DeactivateEventSourceOutput } from "../types/DeactivateEventSourceOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/DeactivateEventSourceInput";
export * from "../types/DeactivateEventSourceOutput";
export * from "../types/DeactivateEventSourceExceptionsUnion";
export declare class DeactivateEventSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeactivateEventSourceInput, OutputTypesUnion, DeactivateEventSourceOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: DeactivateEventSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeactivateEventSourceInput, DeactivateEventSourceOutput, _stream.Readable>;
    constructor(input: DeactivateEventSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<DeactivateEventSourceInput, DeactivateEventSourceOutput>;
}
