/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableRuleInput } from "../types/EnableRuleInput";
import { EnableRuleOutput } from "../types/EnableRuleOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/EnableRuleInput";
export * from "../types/EnableRuleOutput";
export * from "../types/EnableRuleExceptionsUnion";
export declare class EnableRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableRuleInput, OutputTypesUnion, EnableRuleOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: EnableRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableRuleInput, EnableRuleOutput, _stream.Readable>;
    constructor(input: EnableRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<EnableRuleInput, EnableRuleOutput>;
}
