/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListEventSourcesInput } from "../types/ListEventSourcesInput";
import { ListEventSourcesOutput } from "../types/ListEventSourcesOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ListEventSourcesInput";
export * from "../types/ListEventSourcesOutput";
export * from "../types/ListEventSourcesExceptionsUnion";
export declare class ListEventSourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListEventSourcesInput, OutputTypesUnion, ListEventSourcesOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ListEventSourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListEventSourcesInput, ListEventSourcesOutput, _stream.Readable>;
    constructor(input: ListEventSourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ListEventSourcesInput, ListEventSourcesOutput>;
}
