/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListRulesInput } from "../types/ListRulesInput";
import { ListRulesOutput } from "../types/ListRulesOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ListRulesInput";
export * from "../types/ListRulesOutput";
export * from "../types/ListRulesExceptionsUnion";
export declare class ListRulesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListRulesInput, OutputTypesUnion, ListRulesOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ListRulesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListRulesInput, ListRulesOutput, _stream.Readable>;
    constructor(input: ListRulesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ListRulesInput, ListRulesOutput>;
}
