/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTargetsByRuleInput } from "../types/ListTargetsByRuleInput";
import { ListTargetsByRuleOutput } from "../types/ListTargetsByRuleOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/ListTargetsByRuleInput";
export * from "../types/ListTargetsByRuleOutput";
export * from "../types/ListTargetsByRuleExceptionsUnion";
export declare class ListTargetsByRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTargetsByRuleInput, OutputTypesUnion, ListTargetsByRuleOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: ListTargetsByRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTargetsByRuleInput, ListTargetsByRuleOutput, _stream.Readable>;
    constructor(input: ListTargetsByRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<ListTargetsByRuleInput, ListTargetsByRuleOutput>;
}
