/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutEventsInput } from "../types/PutEventsInput";
import { PutEventsOutput } from "../types/PutEventsOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/PutEventsInput";
export * from "../types/PutEventsOutput";
export * from "../types/PutEventsExceptionsUnion";
export declare class PutEventsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutEventsInput, OutputTypesUnion, PutEventsOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: PutEventsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutEventsInput, PutEventsOutput, _stream.Readable>;
    constructor(input: PutEventsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<PutEventsInput, PutEventsOutput>;
}
