"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutPartnerEvents_1 = require("../model/operations/PutPartnerEvents");
var PutPartnerEventsCommand = /** @class */ (function () {
    function PutPartnerEventsCommand(input) {
        this.input = input;
        this.model = PutPartnerEvents_1.PutPartnerEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutPartnerEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutPartnerEventsCommand;
}());
exports.PutPartnerEventsCommand = PutPartnerEventsCommand;
//# sourceMappingURL=PutPartnerEventsCommand.js.map