/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutTargetsInput } from "../types/PutTargetsInput";
import { PutTargetsOutput } from "../types/PutTargetsOutput";
import { EventBridgeResolvedConfiguration } from "../EventBridgeConfiguration";
export * from "../types/PutTargetsInput";
export * from "../types/PutTargetsOutput";
export * from "../types/PutTargetsExceptionsUnion";
export declare class PutTargetsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutTargetsInput, OutputTypesUnion, PutTargetsOutput, EventBridgeResolvedConfiguration, _stream.Readable> {
    readonly input: PutTargetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutTargetsInput, PutTargetsOutput, _stream.Readable>;
    constructor(input: PutTargetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: EventBridgeResolvedConfiguration): __aws_sdk_types.Handler<PutTargetsInput, PutTargetsOutput>;
}
