"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ActivateEventSourceInput_1 = require("../shapes/ActivateEventSourceInput");
var ActivateEventSourceOutput_1 = require("../shapes/ActivateEventSourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidStateException_1 = require("../shapes/InvalidStateException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ActivateEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ActivateEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ActivateEventSourceInput_1.ActivateEventSourceInput
    },
    output: {
        shape: ActivateEventSourceOutput_1.ActivateEventSourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidStateException_1.InvalidStateException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ActivateEventSource.js.map