"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePartnerEventSourceInput_1 = require("../shapes/CreatePartnerEventSourceInput");
var CreatePartnerEventSourceOutput_1 = require("../shapes/CreatePartnerEventSourceOutput");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var InternalException_1 = require("../shapes/InternalException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePartnerEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePartnerEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreatePartnerEventSourceInput_1.CreatePartnerEventSourceInput
    },
    output: {
        shape: CreatePartnerEventSourceOutput_1.CreatePartnerEventSourceOutput
    },
    errors: [
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreatePartnerEventSource.js.map