"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeactivateEventSourceInput_1 = require("../shapes/DeactivateEventSourceInput");
var DeactivateEventSourceOutput_1 = require("../shapes/DeactivateEventSourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidStateException_1 = require("../shapes/InvalidStateException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeactivateEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeactivateEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeactivateEventSourceInput_1.DeactivateEventSourceInput
    },
    output: {
        shape: DeactivateEventSourceOutput_1.DeactivateEventSourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidStateException_1.InvalidStateException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeactivateEventSource.js.map