"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEventBusInput_1 = require("../shapes/DeleteEventBusInput");
var DeleteEventBusOutput_1 = require("../shapes/DeleteEventBusOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEventBus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEventBus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEventBusInput_1.DeleteEventBusInput
    },
    output: {
        shape: DeleteEventBusOutput_1.DeleteEventBusOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeleteEventBus.js.map