"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePartnerEventSourceInput_1 = require("../shapes/DeletePartnerEventSourceInput");
var DeletePartnerEventSourceOutput_1 = require("../shapes/DeletePartnerEventSourceOutput");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePartnerEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePartnerEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeletePartnerEventSourceInput_1.DeletePartnerEventSourceInput
    },
    output: {
        shape: DeletePartnerEventSourceOutput_1.DeletePartnerEventSourceOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeletePartnerEventSource.js.map