"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRuleInput_1 = require("../shapes/DeleteRuleInput");
var DeleteRuleOutput_1 = require("../shapes/DeleteRuleOutput");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRuleInput_1.DeleteRuleInput
    },
    output: {
        shape: DeleteRuleOutput_1.DeleteRuleOutput
    },
    errors: [
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteRule.js.map