"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEventSourceInput_1 = require("../shapes/DescribeEventSourceInput");
var DescribeEventSourceOutput_1 = require("../shapes/DescribeEventSourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventSourceInput_1.DescribeEventSourceInput
    },
    output: {
        shape: DescribeEventSourceOutput_1.DescribeEventSourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeEventSource.js.map