"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribePartnerEventSourceInput_1 = require("../shapes/DescribePartnerEventSourceInput");
var DescribePartnerEventSourceOutput_1 = require("../shapes/DescribePartnerEventSourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribePartnerEventSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribePartnerEventSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribePartnerEventSourceInput_1.DescribePartnerEventSourceInput
    },
    output: {
        shape: DescribePartnerEventSourceOutput_1.DescribePartnerEventSourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribePartnerEventSource.js.map