"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeRuleInput_1 = require("../shapes/DescribeRuleInput");
var DescribeRuleOutput_1 = require("../shapes/DescribeRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeRuleInput_1.DescribeRuleInput
    },
    output: {
        shape: DescribeRuleOutput_1.DescribeRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeRule.js.map