"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPartnerEventSourceAccountsInput_1 = require("../shapes/ListPartnerEventSourceAccountsInput");
var ListPartnerEventSourceAccountsOutput_1 = require("../shapes/ListPartnerEventSourceAccountsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPartnerEventSourceAccounts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPartnerEventSourceAccounts",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPartnerEventSourceAccountsInput_1.ListPartnerEventSourceAccountsInput
    },
    output: {
        shape: ListPartnerEventSourceAccountsOutput_1.ListPartnerEventSourceAccountsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListPartnerEventSourceAccounts.js.map