"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListRulesInput_1 = require("../shapes/ListRulesInput");
var ListRulesOutput_1 = require("../shapes/ListRulesOutput");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListRules = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListRules",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListRulesInput_1.ListRulesInput
    },
    output: {
        shape: ListRulesOutput_1.ListRulesOutput
    },
    errors: [
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=ListRules.js.map