"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTargetsByRuleInput_1 = require("../shapes/ListTargetsByRuleInput");
var ListTargetsByRuleOutput_1 = require("../shapes/ListTargetsByRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTargetsByRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTargetsByRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTargetsByRuleInput_1.ListTargetsByRuleInput
    },
    output: {
        shape: ListTargetsByRuleOutput_1.ListTargetsByRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListTargetsByRule.js.map