"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemovePermissionInput_1 = require("../shapes/RemovePermissionInput");
var RemovePermissionOutput_1 = require("../shapes/RemovePermissionOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalException_1 = require("../shapes/InternalException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemovePermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemovePermission",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemovePermissionInput_1.RemovePermissionInput
    },
    output: {
        shape: RemovePermissionOutput_1.RemovePermissionOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=RemovePermission.js.map