"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTargetsInput_1 = require("../shapes/RemoveTargetsInput");
var RemoveTargetsOutput_1 = require("../shapes/RemoveTargetsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTargets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTargets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTargetsInput_1.RemoveTargetsInput
    },
    output: {
        shape: RemoveTargetsOutput_1.RemoveTargetsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=RemoveTargets.js.map