"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var InternalException_1 = require("../shapes/InternalException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map