"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestEventPatternInput_1 = require("../shapes/TestEventPatternInput");
var TestEventPatternOutput_1 = require("../shapes/TestEventPatternOutput");
var InvalidEventPatternException_1 = require("../shapes/InvalidEventPatternException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestEventPattern = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestEventPattern",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TestEventPatternInput_1.TestEventPatternInput
    },
    output: {
        shape: TestEventPatternOutput_1.TestEventPatternOutput
    },
    errors: [
        {
            shape: InvalidEventPatternException_1.InvalidEventPatternException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=TestEventPattern.js.map