"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescribeRuleOutput = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Arn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EventPattern: {
            shape: {
                type: "string"
            }
        },
        ScheduleExpression: {
            shape: {
                type: "string"
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ManagedBy: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EventBusName: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=DescribeRuleOutput.js.map