"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Condition_1 = require("./_Condition");
exports.PutPermissionInput = {
    type: "structure",
    required: ["Action", "Principal", "StatementId"],
    members: {
        EventBusName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Action: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Principal: {
            shape: {
                type: "string",
                min: 1
            }
        },
        StatementId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Condition: {
            shape: _Condition_1._Condition
        }
    }
};
//# sourceMappingURL=PutPermissionInput.js.map