"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagList_1 = require("./_TagList");
exports.PutRuleInput = {
    type: "structure",
    required: ["Name"],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScheduleExpression: {
            shape: {
                type: "string"
            }
        },
        EventPattern: {
            shape: {
                type: "string"
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        EventBusName: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=PutRuleInput.js.map