"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BatchArrayProperties_1 = require("./_BatchArrayProperties");
var _BatchRetryStrategy_1 = require("./_BatchRetryStrategy");
exports._BatchParameters = {
    type: "structure",
    required: ["JobDefinition", "JobName"],
    members: {
        JobDefinition: {
            shape: {
                type: "string"
            }
        },
        JobName: {
            shape: {
                type: "string"
            }
        },
        ArrayProperties: {
            shape: _BatchArrayProperties_1._BatchArrayProperties
        },
        RetryStrategy: {
            shape: _BatchRetryStrategy_1._BatchRetryStrategy
        }
    }
};
//# sourceMappingURL=_BatchParameters.js.map