"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NetworkConfiguration_1 = require("./_NetworkConfiguration");
exports._EcsParameters = {
    type: "structure",
    required: ["TaskDefinitionArn"],
    members: {
        TaskDefinitionArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TaskCount: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        LaunchType: {
            shape: {
                type: "string"
            }
        },
        NetworkConfiguration: {
            shape: _NetworkConfiguration_1._NetworkConfiguration
        },
        PlatformVersion: {
            shape: {
                type: "string"
            }
        },
        Group: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_EcsParameters.js.map